---
title: <animateTransform>
slug: Web/SVG/Element/animateTransform
tags:
  - Element
  - SVG
  - SVG Animation
---
<div>{{SVGRef}}</div>

<p>The <code>animateTransform</code> element animates a transformation attribute on its target element, thereby allowing animations to control translation, scaling, rotation, and/or skewing.</p>

<h2 id="Usage_context">Usage context</h2>

<p>{{svginfo}}</p>

<h2 id="Example">Example</h2>

<pre class="brush: html">&lt;svg width="120" height="120" viewBox="0 0 120 120"
     xmlns="http://www.w3.org/2000/svg"&gt;

    &lt;polygon points="60,30 90,90 30,90"&gt;
        &lt;animateTransform attributeName="transform"
                          attributeType="XML"
                          type="rotate"
                          from="0 60 70"
                          to="360 60 70"
                          dur="10s"
                          repeatCount="indefinite"/&gt;
    &lt;/polygon&gt;
&lt;/svg&gt;</pre>

<p><strong>Live sample</strong></p>

<p>{{ EmbedLiveSample('Example','120','120') }}</p>

<h2 id="Attributes">Attributes</h2>

<h3 id="Global_attributes">Global attributes</h3>

<ul>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Conditional_processing_attributes">Conditional processing attributes</a> »</li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Core_attributes">Core attributes</a> »</li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Animation_event_attributes">Animation event attributes</a> »</li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Xlink_attributes">Xlink attributes</a> »</li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Animation_attribute_target_attributes">Animation attribute target attributes</a> »</li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Animation_timing_attributes">Animation timing attributes</a> »</li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Animation_value_attributes">Animation value attributes</a> »</li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Animation_addition_attributes">Animation addition attributes</a> »</li>
 <li>{{ SVGAttr("externalResourcesRequired") }}</li>
</ul>

<h3 id="Specific_attributes">Specific attributes</h3>

<ul>
 <li>{{ SVGAttr("by") }}</li>
 <li>{{ SVGAttr("from") }}</li>
 <li>{{ SVGAttr("to") }}</li>
 <li>{{ SVGAttr("type") }}</li>
</ul>

<h2 id="DOM_Interface">DOM Interface</h2>

<p>This element implements the <code><a href="/en-US/docs/DOM/SVGAnimateTransformElement" title="en/DOM/SVGAnimateTransformElement">SVGAnimateTransformElement</a></code> interface.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG Animations 2", "#AnimateTransformElement", "&lt;animateTransform&gt;")}}</td>
   <td>{{Spec2("SVG Animations 2")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName('SVG1.1', 'animate.html#AnimateTransformElement', '&lt;animateTransform&gt;')}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.animateTransform")}}</p>
